import Vue from "vue";
import VueRouter from "vue-router";
import globalConfig from '@/config/global-config'

Vue.use(VueRouter);

const routes = [
  {
    path: '/',
    redirect: '/excel',
  },
  {
    path: "/excel",
    name: "Excel",
    component: () => import('@/views/excel/excel.vue')
  },
];

const router = new VueRouter({
  routes,
});

export default router;
