const dev = process.env.NODE_ENV !== 'production';

module.exports = {
  publicPath: dev ? './' : '/',
  devServer: {
    port: 8091,
    host: 'localhost',
    https: false,
    open: true,
    // proxy: {
    //   target: '',
    //   changeOrigin: true,
    //   pathRewrite: {
    //     '^/': ''
    //   },
    // },
  },
  configureWebpack: {
    name: 'Excel数据分析',
    module: {
      rules: [
        // {
        //   test: '\.styl$',
        //   loader: 'style-loader!css-loader!stylus-loader'
        // }
      ]
    },
  },
  chainWebpack: config => {
    config
      .plugin('html')
      .tap(args => {
        args[0].title= 'Excel数据分析'
        return args
      })
  },
  lintOnSave:false,
  productionSourceMap: false,
}